<template>
	<view class="container">
		<!-- 引入头部组件 -->
		<Header :title="'社区公告'"></Header>
		<view class="content">
			<view class="content_wapper">
				<h3 class="content_title">
					小区电梯维修通知<text>2025-03-29</text>
				</h3>
				
			</view>
			
			<view>
				1232324435454545
			</view>

		</view>
		<Footer></Footer>
	</view>

</template>

<script>
	import Header from '@/components/header_common.vue';
	import Footer from '@/components/footer_common.vue';
	export default {
		components: {
			Header,
			Footer
		},
		data() {
			return {
				title: '',
				content: '',
				fileList: []
			};
		},
		methods: {
			handleBack() {
				uni.navigateBack({
					delta: 1 // 返回上一级页面
				});
			},
			afterRead(event) {
				// 读取完成后的回调函数
				const {
					file
				} = event;
				this.fileList.push(file);
			},
			publish() {
				// 发布逻辑
				console.log('发布:', this.title, this.content, this.fileList);
			},
			// 跳转详情页面
			goPage(page){
				uni.navigateTo({
				  url: `/pages/${page}/index`,
				  // url: '/pages/helpInfo/index', 
				  success: () => {
				    console.log('切换到tabBar页面成功');
				  },
				  fail: (err) => {
				    console.error('切换到tabBar页面失败:', err);
				  }
				});
			},
		}
	};
</script>

<style lang="scss" scoped>
	.container {

		width: 100%;
		min-height: 100vh;
		/* 占满整个视口高度 */
		opacity: 1;
		background: linear-gradient(0deg, rgba(240, 240, 240, 1) 0%, rgba(255, 250, 250, 0) 100%),
			        linear-gradient(0deg, rgba(255, 241, 235, 1) 0%, rgba(192, 219, 250, 1) 100%);
		position: relative;
	 
		.content {
			width: 100%;
			position: absolute;
			margin-top: 200rpx;
			border-top-left-radius: 30rpx;
			border-top-right-radius: 30rpx;
			background-color: rgba(255, 255, 255, 0.65);
			padding-bottom: 200rpx;
			.content_wapper{
				width:100%;
				background-color: rgba(128, 179, 237, 0.19);
				border-top-left-radius: 30rpx;
				border-top-right-radius: 30rpx;
				height: 100rpx;
				line-height: 100rpx;
				
				.content_title{
					color:#3B8CFF;
					font-weight: 500;
					display: flex;
					justify-content: space-between;
					align-items: center;
					padding: 0 30rpx;
					font-size:28rpx ;
					
					text{
						display: inline-block;
						color: #7D7D7D;
						width: 40%;
						text-align: right;
						font-size: 24rpx;
						font-weight: normal;
					}
				}
				
			}
			
			
		}

	}
</style>